class SyncVhValidator < ActiveModel::EachValidator
  def validate_each(record, attribute, value)
    if record.picture and record.picture.flag_sync_vh < 0
      record.errors[attribute] << (options[:message] || I18n.t('activerecord.errors.messages.sync_vh')) unless sync?(record)
    end
  end
  
  def sync?(record)
    r = record.width * 100 / record.height
    r2 = record.picture.width * 100 / record.picture.height
    (r >= r2 - 1) and (r <= r2 + 1)
  end
  
end

